# Commencer

Sky Follower Bridge vous aide à trouver et suivre vos connexions 𝕏 (Twitter) sur Bluesky.

<iframe width="100%" height="315" src="https://www.youtube.com/embed/CnjjfSxm0G0?si=N2OFp15PPiZZezEN" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>


## Installation

Sky Follower Bridge est disponible sur :

<ul class="install-list">
  <li>
    <img src="/images/icon-chrome.svg" width="20" height="20">
    <a href="https://chrome.google.com/webstore/detail/sky-follower-bridge/behhbpbpmailcnfbjagknjngnfdojpko">Chrome Web Store</a> (Recommandé⭐)
  </li>
  <li>
    <img src="/images/icon-firefox.svg" width="20" height="20">
    <a href="https://addons.mozilla.org/en-US/firefox/addon/sky-follower-bridge/">Firefox Add-ons</a>
  </li>
  <li>
    <img src="/images/icon-edge.svg" width="20" height="20">
    <a href="https://microsoftedge.microsoft.com/addons/detail/sky-follower-bridge/dpeolmdblhfolkhlhbhlofkkpaojnnbb">Microsoft Edge Add-ons</a>
  </li>
  <li>
    <img src="/images/icon-safari.svg" width="20" height="20">
    <a href="https://apps.apple.com/us/app/sky-follower-bridge/id6738878242?mt=12">Extension Web Safari</a> <span>(Merci à <a href="https://bsky.app/profile/knotbin.xyz">@knotbin.xyz</a>)</span>
  </li>
</ul>

::: tip
Nous recommandons d'utiliser la version du Chrome Web Store car elle est toujours à jour. Les versions des autres magasins peuvent être en retard dans les mises à jour.
:::

::: warning
Sky Follower Bridge n'est disponible que pour les navigateurs de bureau. Les navigateurs mobiles ne sont pas supportés.
:::

## Utilisation

### 1. Naviguez vers 𝕏 (Twitter)

Visitez l'une de ces pages sur X :
- Votre page de suivi : [x.com/following](https://x.com/following)
- Votre page des utilisateurs bloqués : [x.com/settings/blocked/all](https://x.com/settings/blocked/all)
- La page des membres d'une liste publique : `x.com/i/lists/<list_id>/members`

![following-page](/images/following-page.png)

### 2. Lancez Sky Follower Bridge

Appuyez sur `Alt + B` ou cliquez sur l'icône de l'extension dans la barre d'outils de votre navigateur.

::: tip
Pour les utilisateurs de Firefox, appuyer sur `Alt + B` peut ne pas fonctionner. Dans ce cas, cliquez sur l'icône de l'extension dans la barre d'outils du navigateur.

https://support.mozilla.org/en-US/kb/extensions-button
:::

![Open Extension](/images/open-extension.png)

### 3. Connectez-vous à Bluesky

Entrez votre identifiant Bluesky (ou email) et [App password](https://bsky.app/settings/app-passwords).

::: tip
Si vous rencontrez des erreurs de connexion, veuillez consulter le [Guide de dépannage](/troubleshooting).
:::

![enter-credentials](/images/enter-credentials.png)

### 4. Commencez la recherche

Cliquez sur "Find Bluesky Users" pour commencer le scan. L'extension recherchera des profils Bluesky correspondants en vérifiant l'API de Bluesky.

![find-bluesky-users](/images/scan-users.png)

### 5. Consultez les résultats

Cliquez sur "View Results" pour voir les correspondances potentielles trouvées sur Bluesky.

![view-results-button](/images/click-results.png)

Cela ouvrira la page des options affichant tous les utilisateurs Bluesky détectés.

![options](/images/options.png)

### 6. Suivez les utilisateurs

Cliquez sur le bouton "Follow" à côté de tout utilisateur avec lequel vous souhaitez vous connecter.

![follow](/images/click-follow-btn.png)

ou utilisez le bouton "Follow All" pour suivre tous les utilisateurs détectés en une seule fois.

![follow-all](/images/follow-all-btn.png)

::: warning
Veuillez noter que le processus de correspondance n'est pas parfait et peut occasionnellement suggérer des correspondances incorrectes. Vérifiez toujours le profil avant de suivre.
:::

C'est tout ! Profitez de la connexion avec votre communauté sur Bluesky 🎉 
